%define upstream_name    Text-CSV_XS
%define upstream_version 1.60

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Comma-separated values manipulation routines
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tgz

%{?perl_default_filter}

BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tie::Scalar)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
Text-CSV_XS is a Perl module that provides facilities for the composition
and decomposition of comma-separated values.  An instance of the Text::CSV
class can combine fields into a CSV string and parse a CSV string into
fields.

%prep 
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install
%{_fixperms} %{buildroot}%{perl_vendorarch}

%files
%doc ChangeLog META.json META.yml MYMETA.yml README examples
%{perl_vendorarch}/Text
%{perl_vendorarch}/auto/Text
%{_mandir}/*/*

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.600.0-2.mga10
+ Revision: 2235544
- Mageia 10 Mass Rebuild

* Tue Feb 04 2025 tv <tv> 1.600.0-1.mga10
+ Revision: 2145176
- update to 1.60

* Fri Jan 24 2025 tv <tv> 1.590.0-1.mga10
+ Revision: 2141959
- update to 1.59

* Mon Aug 26 2024 tv <tv> 1.560.0-1.mga10
+ Revision: 2091415
- update to 1.56

* Thu Aug 22 2024 neoclust <neoclust> 1.550.0-2.mga10
+ Revision: 2087779
- Rebuild against new perl

* Mon Jul 01 2024 tv <tv> 1.550.0-1.mga10
+ Revision: 2078670
- update to 1.55

* Sun Apr 28 2024 tv <tv> 1.540.0-1.mga10
+ Revision: 2061452
- update to 1.54

* Mon Dec 04 2023 tv <tv> 1.530.0-1.mga10
+ Revision: 2013083
- update to 1.53

* Sun Nov 26 2023 tv <tv> 1.520.0-2.mga10
+ Revision: 2009923
- Rebuild for perl-5.38

* Sat Sep 23 2023 tv <tv> 1.520.0-1.mga10
+ Revision: 1989747
- update to 1.52

* Tue Aug 29 2023 tv <tv> 1.510.0-1.mga10
+ Revision: 1981033
- update to 1.51

* Mon Jan 09 2023 tv <tv> 1.490.0-1.mga9
+ Revision: 1931796
- update to 1.49

* Tue Jun 07 2022 umeabot <umeabot> 1.480.0-2.mga9
+ Revision: 1862441
- Rebuild for Perl 5.36

* Tue May 31 2022 tv <tv> 1.480.0-1.mga9
+ Revision: 1860794
- update to 1.48

* Thu Mar 17 2022 umeabot <umeabot> 1.470.0-2.mga9
+ Revision: 1796828
- Mageia 9 Mass Rebuild

* Mon Dec 27 2021 tv <tv> 1.470.0-1.mga9
+ Revision: 1764466
- update to 1.47

* Mon May 24 2021 umeabot <umeabot> 1.460.0-2.mga9
+ Revision: 1727147
- Rebuild for perl 5.34

* Fri Mar 26 2021 tv <tv> 1.460.0-1.mga9
+ Revision: 1710701
- update to 1.46

* Sun Dec 27 2020 tv <tv> 1.450.0-1.mga8
+ Revision: 1664077
- update to 1.45

* Fri Jul 24 2020 tv <tv> 1.440.0-1.mga8
+ Revision: 1608765
- update to 1.44

* Wed Jun 17 2020 umeabot <umeabot> 1.430.0-2.mga8
+ Revision: 1594758
- Rebuild for perl 5.32

* Thu May 28 2020 tv <tv> 1.430.0-1.mga8
+ Revision: 1588264
- update to 1.43

* Thu May 21 2020 tv <tv> 1.420.0-1.mga8
+ Revision: 1586585
- update to 1.42

* Mon Feb 17 2020 tv <tv> 1.410.0-1.mga8
+ Revision: 1536861
- update to 1.41

* Sun Feb 16 2020 umeabot <umeabot> 1.400.0-2.mga8
+ Revision: 1532765
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Sep 17 2019 tv <tv> 1.400.0-1.mga8
+ Revision: 1443056
- update to 1.40

* Mon Aug 26 2019 tmb <tmb> 1.390.0-2.mga8
+ Revision: 1432742
- rebuild for perl 5.30

* Sun Mar 17 2019 tv <tv> 1.390.0-1.mga7
+ Revision: 1378270
- update to 1.39

* Sun Dec 30 2018 tv <tv> 1.380.0-1.mga7
+ Revision: 1347280
- new release (fix translations)

* Wed Oct 03 2018 tv <tv> 1.370.0-1.mga7
+ Revision: 1316090
- update to 1.37

* Fri Sep 21 2018 umeabot <umeabot> 1.360.0-3.mga7
+ Revision: 1293879
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 1.360.0-2.mga7
+ Revision: 1247617
- rebuild for perl 5.28

* Wed Jun 27 2018 tv <tv> 1.360.0-1.mga7
+ Revision: 1240118
- update to 1.36

* Fri Mar 23 2018 tv <tv> 1.350.0-1.mga7
+ Revision: 1211694
- update to 1.35

* Mon Nov 06 2017 tv <tv> 1.340.0-1.mga7
+ Revision: 1176191
- update to 1.34

* Fri Oct 27 2017 tv <tv> 1.330.0-1.mga7
+ Revision: 1173993
- update to 1.33

* Tue Oct 03 2017 tv <tv> 1.320.0-2.mga7
+ Revision: 1166951
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 1.320.0-1.mga7
+ Revision: 1155774
- update to 1.32

* Thu Aug 31 2017 pterjan <pterjan> 1.310.0-2.mga7
+ Revision: 1149305
- Rebuild for perl ABI changes

* Sun Jul 23 2017 shlomif <shlomif> 1.310.0-1.mga7
+ Revision: 1129063
- update to 1.31

* Sat Jul 22 2017 neoclust <neoclust> 1.220.0-3.mga7
+ Revision: 1126549
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.220.0-2.mga6
+ Revision: 1034908
- Rebuild for perl 5.22.2

* Thu Feb 25 2016 shlomif <shlomif> 1.220.0-1.mga6
+ Revision: 978848
- update to 1.22

* Sat Jan 16 2016 shlomif <shlomif> 1.210.0-1.mga6
+ Revision: 924024
- update to 1.21

* Fri Jun 26 2015 tv <tv> 1.190.0-2.mga6
+ Revision: 845315
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.190.0-1.mga6
+ Revision: 841452
- update to 1.19

* Wed Oct 15 2014 umeabot <umeabot> 1.90.0-4.mga5
+ Revision: 739030
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.90.0-3.mga5
+ Revision: 736079
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.90.0-2.mga5
+ Revision: 686604
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 1.90.0-1.mga5
+ Revision: 640062
- update to 1.09

* Tue Jun 03 2014 pterjan <pterjan> 1.80.0-2.mga5
+ Revision: 631767
- Rebuild for perl 5.20

* Tue May 20 2014 jquelin <jquelin> 1.80.0-1.mga5
+ Revision: 624441
- update to 1.08

* Tue May 06 2014 jquelin <jquelin> 1.70.0-1.mga5
+ Revision: 620814
- update to 1.07

* Thu Mar 13 2014 jquelin <jquelin> 1.50.0-1.mga5
+ Revision: 603056
- update to 1.05

* Mon Feb 10 2014 jquelin <jquelin> 1.40.0-1.mga5
+ Revision: 588753
- update to 1.04

* Sat Oct 19 2013 umeabot <umeabot> 1.10.0-2.mga4
+ Revision: 528776
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 1.10.0-1.mga4
+ Revision: 447171
- update to 1.01

* Fri Jun 07 2013 jquelin <jquelin> 0.980.0-1.mga4
+ Revision: 440051
- update to 0.98

* Fri May 31 2013 jquelin <jquelin> 0.970.0-1.mga4
+ Revision: 433698
- update to 0.97
- perl 5.18.0 rebuild
- perl 5.18.0 rebuild
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.920.0-2.mga3
+ Revision: 374001
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.920.0-1.mga3
+ Revision: 317766
- update to 0.92

* Fri Aug 31 2012 kharec <kharec> 0.910.0-1.mga3
+ Revision: 286567
- update to 0.91

* Wed Jul 04 2012 jquelin <jquelin> 0.900.0-1.mga3
+ Revision: 267516
- update to 0.90

* Tue Jun 05 2012 jquelin <jquelin> 0.880.0-1.mga3
+ Revision: 255532
- update to 0.88

* Wed May 30 2012 jquelin <jquelin> 0.860.0-2.mga3
+ Revision: 251222
- rebuild for perl 5.16

* Wed Jan 25 2012 jquelin <jquelin> 0.860.0-1.mga2
+ Revision: 201068
- update to 0.86

* Mon Sep 26 2011 jquelin <jquelin> 0.850.0-1.mga2
+ Revision: 148202
- update to 0.85

* Wed Jun 15 2011 jquelin <jquelin> 0.820.0-1.mga2
+ Revision: 107484
- update to 0.82

* Sun Jun 12 2011 sander85 <sander85> 0.810.0-2.mga2
+ Revision: 105046
- Rebuild for perl 5.14

* Thu Mar 24 2011 jquelin <jquelin> 0.810.0-1.mga1
+ Revision: 76669
- update to 0.81

* Wed Feb 16 2011 jquelin <jquelin> 0.800.0-1.mga1
+ Revision: 52234
- update to 0.80

* Mon Jan 24 2011 jquelin <jquelin> 0.760.0-2.mga1
+ Revision: 37349
- rebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.760.0-1.mga1
+ Revision: 15334
- imported package perl-Text-CSV_XS


* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.760.0-1mdv2011.0
+ Revision: 596679
- update to 0.76

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.730.0-2mdv2011.0
+ Revision: 556165
- rebuild for perl 5.12

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.730.0-1mdv2011.0
+ Revision: 552664
- update to 0.73

* Tue Mar 16 2010 Jérôme Quelin <jquelin@mandriva.org> 0.720.0-1mdv2010.1
+ Revision: 521633
- update to 0.72

* Fri Feb 19 2010 Jérôme Quelin <jquelin@mandriva.org> 0.710.0-2mdv2010.1
+ Revision: 508052
- resubmit
- update to 0.71

* Wed Dec 09 2009 Jérôme Quelin <jquelin@mandriva.org> 0.700.0-1mdv2010.1
+ Revision: 475398
- update to 0.70

* Sat Nov 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.690.0-1mdv2010.1
+ Revision: 462462
- update to 0.69

* Tue Aug 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.670.0-2mdv2010.0
+ Revision: 414985
- update to 0.67

* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 0.650.0-2mdv2010.0
+ Revision: 395343
- rebuild for automatic version extraction

* Mon Jul 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.650.0-1mdv2010.0
+ Revision: 392900
- update to 0.65
- using %%perl_convert_version
- fixed license field

* Mon May 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.64-1mdv2010.0
+ Revision: 374375
- update to new version 0.64

* Wed Dec 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.58-1mdv2009.1
+ Revision: 318304
- update to new version 0.58

* Thu Jul 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.52-1mdv2009.0
+ Revision: 233434
- new version

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.31-2mdv2008.1
+ Revision: 151406
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.31-1mdv2008.0
+ Revision: 55844
- update to new version 0.31

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-1mdv2008.0
+ Revision: 46698
- update to new version 0.30

* Thu Jun 28 2007 Olivier Thauvin <nanardon@mandriva.org> 0.29-1mdv2008.0
+ Revision: 45434
- 0.29

* Mon May 07 2007 Olivier Thauvin <nanardon@mandriva.org> 0.23-11mdv2008.0
+ Revision: 23804
- rebuild


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.23-10mdk
- Fix SPEC according to Perl Policy
	- Source URL

* Fri Nov 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.23-9mdk
- Fix Previous mistake

* Thu Sep 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.23-8mdk
- Fix url 
- remove -q 
- Fix BuildRequires
- %%mkrel

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 0.23-7mdk
- Rebuild for new perl

* Sat Oct 11 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.23-6mdk
- rebuild for new perl
- add Artistic into License tag
- remove $RPM_OPT_FLAGS and PREFIX
- some macrosfification and cosmetic spec changes

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.23-5mdk
- rebuild for new auto{prov,req}

